//importing required modules
import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';
//iris dataset
const csvUrl = 'https://gist.githubusercontent.com/Nikitha123171/b25bf6335af0f672551f5bdab6f3a69a/raw/e5c162547bee4fab48195d224feb1d1d45d94698/ICE%25207%2520Dataset.csv'
const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight - 100;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);
//main function
const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.petal_width)
    .yValue((d) => d.sepal_length)
    .margin({
      top: 40,
      right: 30,
      bottom: 40,
      left: 50,
    })
    .radius(1);

  svg.call(plot);
//setting dynamic axes
  const columns = [
    'petal_width',
    'sepal_width',
    'petal_length',
    'sepal_length',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 10000);
};
main();



